<?php
namespace Magento\Developer\Model\TemplateEngine\Decorator\DebugHints;

/**
 * Interceptor class for @see \Magento\Developer\Model\TemplateEngine\Decorator\DebugHints
 */
class Interceptor extends \Magento\Developer\Model\TemplateEngine\Decorator\DebugHints implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Framework\View\TemplateEngineInterface $subject, $showBlockHints, ?\Magento\Framework\View\Helper\SecureHtmlRenderer $secureRenderer = null, ?\Magento\Framework\Math\Random $random = null)
    {
        $this->___init();
        parent::__construct($subject, $showBlockHints, $secureRenderer, $random);
    }

    /**
     * {@inheritdoc}
     */
    public function render(\Magento\Framework\View\Element\BlockInterface $block, $templateFile, array $dictionary = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'render');
        return $pluginInfo ? $this->___callPlugins('render', func_get_args(), $pluginInfo) : parent::render($block, $templateFile, $dictionary);
    }
}
